info.bioinfweb.jphyloio.formats.text

## Class KeyValueInformation

- java.lang.Object
- - info.bioinfweb.jphyloio.formats.text.KeyValueInformation

-     public class KeyValueInformation
      extends java.lang.Object

  Used internally by `AbstractTextEventReader` and inherited classes to store contents of commands containing key value information.
  Author:
    Ben Stöver

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeyValueInformation(java.lang.String originalKey, java.lang.String value, char delimiter)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `char` | `getDelimiter()` Returns the delimiter that was used to delimit the value of this instance.
    `java.lang.String` | `getOriginalKey()` Returns the key as it was written from the source stream (file).
    `java.lang.String` | `getValue()` Returns the value as it was written from the source stream (file).
    `boolean` | `wasValueDelimited()` Determines whether the read value was delimited in the source stream.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KeyValueInformation

          public KeyValueInformation(java.lang.String originalKey,
                                     java.lang.String value,
                                     char delimiter)

  - ### Method Detail

    - #### getOriginalKey

          public java.lang.String getOriginalKey()

      Returns the key as it was written from the source stream (file).
      Returns:
        the original key

    - #### getValue

          public java.lang.String getValue()

      Returns the value as it was written from the source stream (file).
      Returns:
        the value

    - #### getDelimiter

          public char getDelimiter()

      Returns the delimiter that was used to delimit the value of this instance.
      Returns:
        the delimiter or `' '` if the value was not delimited

    - #### wasValueDelimited

          public boolean wasValueDelimited()

      Determines whether the read value was delimited in the source stream.
      Returns:
        `true`, if the value was delimited or `false` otherwise.